Bug 1334246 (CVE-2016-4555) - CVE-2016-4555 squid: SegFault from ESIInclude::Start
Summary: CVE-2016-4555 squid: SegFault from ESIInclude::Start
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4555
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160506,repor...
Depends On: 1334251 1334491 1334492 1334499 1334500
Blocks: 1334247
TreeView+ depends on / blocked
 
Reported: 2016-05-09 09:15 UTC by Andrej Nemec
Modified: 2019-06-08 21:11 UTC (History)
6 users (show)

Fixed In Version: squid 3.5.18
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way Squid processes ESI responses. If Squid was used as a reverse proxy or for TLS/HTTPS interception, a malicious server could use this flaw to crash the Squid worker process.
Clone Of:
Environment:
Last Closed: 2016-06-09 12:43:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1139 normal SHIPPED_LIVE Moderate: squid security update 2016-05-31 09:42:41 UTC
Red Hat Product Errata RHSA-2016:1140 normal SHIPPED_LIVE Moderate: squid34 security update 2016-05-31 09:56:07 UTC

Description Andrej Nemec 2016-05-09 09:15:10 UTC
Due to incorrect pointer handling Squid is vulnerable to a denial of service attack when processing ESI responses.

External references:

http://www.squid-cache.org/Advisories/SQUID-2016_9.txt

Upstream fixes:

Squid 3.5:

http://www.squid-cache.org/Versions/v3/3.5/changesets/SQUID-2016_9.patch

Squid 3.4:

http://www.squid-cache.org/Versions/v3/3.4/changesets/SQUID-2016_9.patch

NOTE:
For For the other related CVE, CVE-2016-4556, see Bug 1334786

Comment 1 Andrej Nemec 2016-05-09 09:20:48 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1334251]

Comment 9 errata-xmlrpc 2016-05-31 05:43:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1139 https://access.redhat.com/errata/RHSA-2016:1139

Comment 10 errata-xmlrpc 2016-05-31 05:57:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1140 https://access.redhat.com/errata/RHSA-2016:1140

Comment 11 Fedora Update System 2016-07-12 20:27:36 UTC
squid-3.5.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-07-12 23:52:18 UTC
squid-3.5.10-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.